<?php
require_once('common.php');

global $pape_policy_uris;
global $ax_attributes;
?>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>MojeID - Ukázková implementace</title>
  <meta http-equiv="x-xrds-location" content="<?php echo getTrustRoot(); ?>xrds.php" />
<style type="text/css">

</style>
<script type="text/javascript">
function register() {
	document.getElementById('register-form').submit();
}
</script>
</head>
<body>
  <div id="wrapper">
    <?php if (!empty($msg)) { print "<div class=\"alert\">$msg</div>"; } ?>
    <?php if (!empty($error)) { print "<div class=\"error\">$error</div>"; } ?>
    <?php if (!empty($success)) { print "<div class=\"success\">$success</div>"; } ?>

    <div id="form">
      <div id="button"><a href="<?php echo HTTP_SERVER; ?>auth.php"><img src="<?php echo HTTP_SERVER; ?>image/155x24.png" alt="Přihlásit přes mojeID"></a></div>
	  <div id="links">
	    <span id="why"><a href="http://www.mojeid.cz/page/805/vyhody-mojeid/">Proč mojeID</a></span> |
		<span id="register"><a href="<?php echo HTTP_SERVER; ?>#" onclick="register();return false;">Založit účet mojeID</a></span>
	  </div>
	  <form action="<?php echo getEndPoint('registration/endpoint'); ?>" method="post" enctype="multipart/form-data" id="register-form">
		<input type="hidden" name="realm" value="<?php echo getTrustRoot(); ?>" />
	    <input type="hidden" name="registration_nonce" value="<?php echo $_SESSION['nonce']; ?>" />
      </form>
	</div>

	<?php if (!empty($_SESSION['values'])) { ?>
	  <table id="list">
	    <thead>
		  <tr>
		    <th>Schéma</th>
			<th>Hodnota</th>
			<th>Popis</th>
		  </tr>
		</thead>
		<tbody>
		  <?php foreach ($_SESSION['values'] as $key => $values) { ?>
		    <tr>
			  <td><?php echo $ax_attributes[$key]['scheme']; ?></td>
			  <td><?php foreach ($values as $value) { ?>
			      <div><?php if ($key == 'image' && $value) { ?>
				    <img src="data:image/png;base64,<?php echo $value; ?>">
				  <?php } else { ?>
				  <?php echo $value; ?></div>
				  <?php } ?>
				<?php } ?></td>
			  <td><?php echo $ax_attributes[$key]['text']; ?></td>
			</tr>
		  <?php } ?>
		</tbody>
	  </table>
	  <?php unset($_SESSION['values']); ?>
	<?php } ?>
  </div>
</body>
</html>
